<?php
include_once("c_esmo_magnit_pmo_card_edit_step3.php");
class c_page_cab_esmo_magnit_pmo_step1 extends c_page_cab_esmo_magnit_pmo_card_edit_step3
{
  public $h1='Новое мероприятие ПМО' ;
  var $next_url ;  

  function select_obj_info()
  {  parent::select_obj_info();
     if ($this->rec_event['pkey']) $this->h1=EVENT_PMO()->name.' '.$this->rec_event['obj_name'].' - параметры мероприятия' ;
  }

  // после сохранения - переходим на вторую страницу
  function CMD_save_event()
  { //damp_array($_POST) ;
    EVENTS()->save_events($this->rec_event['pkey'],$_POST['filter']) ;
    redirect_301_to('/cab/esmo_magnit_pmo/'.$this->rec_event['pkey'].'/step2/') ;
  }

  // по сути мы уже в карточки мероприятия, но не в отдельном окне, а на странице кабинета
  // указываем своем меню - для пошагового создания мероприямя
  function second_menu_config()
  {  if ($this->rec_event['pkey'])
    { $this->second_menu['/cab/esmo_magnit_pmo/'.$this->rec_event['pkey'].'/step1/']='Шаг 1 - Параметры ПМО' ;
      $this->second_menu['/cab/esmo_magnit_pmo/'.$this->rec_event['pkey'].'/step2/']='Шаг 2 - Выбор участников' ;
      $this->second_menu['/cab/esmo_magnit_pmo/'.$this->rec_event['pkey'].'/step3/']='Шаг 3 - Выбор документов для ПМО' ;
    }
  }

  function block_main()
  { $this->page_title() ;
      $this->panel_event_params_edit() ;
      //$this->panel_select_personal() ;
  }

}
?>